Bug 199386 - Review Request: aspell-mi
Review Request: aspell-mi
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-19 01:39 EDT by Michael J Knox
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-20 17:33:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael J Knox 2006-07-19 01:39:48 EDT
Spec URL: http://www.knox.net.nz/~michael/aspell-mi.spec
SRPM URL: http://www.knox.net.nz/~michael/aspell-mi-0.50-1.src.rpm

Description: 
GNU Aspell Maori Dictionary Package
Comment 1 Michael J Knox 2006-07-19 01:42:43 EDT
Note that this package, like other aspell's language packs, does not come up
cleanly through rpmlint, but with the following errors:

E: aspell-mi no-binary
E: aspell-mi only-non-binary-in-usr-lib

This is because the package contains only data files which sit under /usr/lib.
They have to stay there, as they are architecture-dependent (due to
byte-ordering issues).
Comment 2 Parag AN(पराग) 2006-07-19 04:24:54 EDT
I just downloaded aspell-es package and rebuild it and when i ran rpmlint i got
W: aspell-es summary-ended-with-dot Spanish dictionaries for Aspell.
E: aspell-es no-binary
E: aspell-es only-non-binary-in-usr-lib
W: aspell-es no-documentation

and rpmlint on your package gave
E: aspell-mi no-binary
E: aspell-mi only-non-binary-in-usr-lib

so i think those errors are not that much important as aspell core packages are
having same errors.
Comment 3 Michael J Knox 2006-07-19 17:57:56 EDT
Yes, they are reasonable errors. the aspell-he package in extras has the same
output, infact, thats where I got the information about them from. 
Comment 4 Jason Tibbitts 2006-07-19 23:11:36 EDT
aspell-he review, with interesting information including correspondence with the
aspell author about the system-dependence of the dictionaries:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=189157
Comment 5 Michael J Knox 2006-07-19 23:30:30 EDT
Would you like to see the info placed into the spec file in this package too ?

Comment 6 Jason Tibbitts 2006-07-20 15:34:23 EDT
No need, just including it here for reference.  I'll go ahead and work up a
quick review.
Comment 7 Jason Tibbitts 2006-07-20 15:55:08 EDT
Odd that nobody else saw this, but rpmlint on the source package complains about:

E: aspell-mi configure-without-libdir-spec

The configure script isn't actually one generated by autoconf and doesn't accept
--libdir, so this error is bogus.  And, to reiterate, these errors:

E: aspell-mi no-binary
E: aspell-mi only-non-binary-in-usr-lib

are also bogus as the aspell dictionaries are arch-dependent due to byte ordering.

Note that the license is LGPL, not GPL.

Since this is the only issue and it's just one letter, I'll approve this and you
can fix it when you check in.

Onto the review:
* source files match upstream:
   8b1a07032ee086662bfe44a2e0459db4  aspell-mi-0.50-0.tar.bz2
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
X license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* Compiler flags are appropriate (nothing is compiled, so no need to pass them)
* %clean is present.
* package builds in mock (development, x86_64).
O rpmlint has only ignorable errors (see above).
* debuginfo package necessarily disabled.
* final provides and requires are sane:
   aspell-mi = 0.50-1.fc6
  =
   aspell >= 12:0.60
* %check is not present; no test suite upstream.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED, just fix the license.
Comment 8 Michael J Knox 2006-07-20 17:33:37 EDT
Fix the license. Imported. Thanks the review. 

Note You need to log in before you can comment on or make changes to this bug.